const addonService = require('../services/addon.service');

const createAddon = async (req, res) => {
    const payload = req;
    const result = await addonService.createAddon(payload);
    return result;
};

const deleteAddon = async (req, res) => {
    const payload = req;
    const result = await addonService.deleteAddon(payload);
    return result;
};

const listAddon = async (req, res) => {
    const payload = req;
    const result = await addonService.listAddon(payload);
    return result;
};

const getAddon = async (req, res) => {
    const payload = req;
    const result = await addonService.getAddon(payload);
    return result;
};

const updateAddon = async (req, res) => {
    const payload = req;
    const result = await addonService.updateAddon(payload);
    return result;
};

const addonController = {
    createAddon,
    deleteAddon,
    listAddon,
    getAddon,
    updateAddon
};

module.exports = addonController;