const addonAddonItemService = require('../services/addonAddonItem.service');

const createAddonAddonItem = async (req, res) => {
    const payload = req.body;
    const result = await addonAddonItemService.createAddonAddonItem(payload);
    return result;
};

const deleteAddonAddonItem = async (req, res) => {
    const payload = req.body;
    const result = await addonAddonItemService.deleteAddonAddonItem(payload.id);
    return result;
};

const listAddonAddonItem = async (req, res) => {
    const result = await addonAddonItemService.listAddonAddonItem();
    return result;
};

const getAddonAddonItem = async (req, res) => {
    const payload = req.body;
    const result = await addonAddonItemService.getAddonAddonItem(payload.id);
    return result;
};

const updateAddonAddonItem = async (req, res) => {
    const payload = req.body;
    const result = await addonAddonItemService.updateAddonAddonItem(payload, payload.id);
    return result;
};

const addonAddonItemController = {
    createAddonAddonItem,
    deleteAddonAddonItem,
    listAddonAddonItem,
    getAddonAddonItem,
    updateAddonAddonItem
};

module.exports = addonAddonItemController;