const addonItemTranslationService = require('../services/addonItemTranslation.service');

const createAddonItemTranslation = async (req, res) => {
    const payload = req.body;
    const result = await addonItemTranslationService.createAddonItemTranslation(payload);
    return result;
};

const deleteAddonItemTranslation = async (req, res) => {
    const payload = req.body;
    const result = await addonItemTranslationService.deleteAddonItemTranslation(payload.id);
    return result;
};

const listAddonItemTranslation = async (req, res) => {
    const result = await addonItemTranslationService.listAddonItemTranslation();
    return result;
};

const getAddonItemTranslation = async (req, res) => {
    const payload = req.body;
    const result = await addonItemTranslationService.getAddonItemTranslation(payload.id);
    return result;
};

const updateAddonItemTranslation = async (req, res) => {
    const payload = req.body;
    const result = await addonItemTranslationService.updateAddonItemTranslation(payload);
    return result;
};

const addonItemTranslationController = {
    createAddonItemTranslation,
    deleteAddonItemTranslation,
    listAddonItemTranslation,
    getAddonItemTranslation,
    updateAddonItemTranslation
};

module.exports = addonItemTranslationController;