const addonTranslationService = require('../services/addonTranslation.service');

const createAddonTranslation = async (req, res) => {
    const payload = req.body;
    const result = await addonTranslationService.createAddonTranslation(payload);
    return result;
};

const deleteAddonTranslation = async (req, res) => {
    const payload = req.body;
    const result = await addonTranslationService.deleteAddonTranslation(payload.id);
    return result;
};

const listAddonTranslation = async (req, res) => {
    const result = await addonTranslationService.listAddonTranslation();
    return result;
};

const getAddonTranslation = async (req, res) => {
    const payload = req.body;
    const result = await addonTranslationService.getAddonTranslation(payload.id);
    return result;
};

const updateAddonTranslation = async (req, res) => {
    const payload = req.body;
    const result = await addonTranslationService.updateAddonTranslation(payload);
    return result;
};

const addonTranslationController = {
    createAddonTranslation,
    deleteAddonTranslation,
    listAddonTranslation,
    getAddonTranslation,
    updateAddonTranslation
};

module.exports = addonTranslationController;