const menuCategoryService = require('../services/menuCategory.service');

const createMenuCategory = async (req, res) => {
    const payload = req;
    const result = await menuCategoryService.createMenuCategory(payload);
    return result;
};

const deleteMenuCategory = async (req, res) => {
    const payload = req;
    const result = await menuCategoryService.deleteMenuCategory(payload);
    return result;
};

const listMenuCategory = async (req, res) => {
    const payload = req;
    const result = await menuCategoryService.listMenuCategory(payload);
    return result;
};

const getMenuCategory = async (req, res) => {
    const payload = req;
    const result = await menuCategoryService.getMenuCategory(payload);
    return result;
};

const updateMenuCategory = async (req, res) => {
    const payload = req;
    const result = await menuCategoryService.updateMenuCategory(payload);
    return result;
};

const menuCategoryController = {
    createMenuCategory,
    deleteMenuCategory,
    listMenuCategory,
    getMenuCategory,
    updateMenuCategory
};

module.exports = menuCategoryController;