const menuCategoryTranslationService = require('../services/menuCategoryTranslation.service');

const createMenuCategoryTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuCategoryTranslationService.createMenuCategoryTranslation(payload);
    return result;
};

const deleteMenuCategoryTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuCategoryTranslationService.deleteMenuCategoryTranslation(payload.id);
    return result;
};

const listMenuCategoryTranslation = async (req, res) => {
    const result = await menuCategoryTranslationService.listMenuCategoryTranslation();
    return result;
};

const getMenuCategoryTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuCategoryTranslationService.getMenuCategoryTranslation(payload.id);
    return result;
};

const updateMenuCategoryTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuCategoryTranslationService.updateMenuCategoryTranslation(payload);
    return result;
};

const menuCategoryTranslationController = {
    createMenuCategoryTranslation,
    deleteMenuCategoryTranslation,
    listMenuCategoryTranslation,
    getMenuCategoryTranslation,
    updateMenuCategoryTranslation
};

module.exports = menuCategoryTranslationController;