const menuItemVarientTranslationService = require('../services/menuItemVarientTranslation.service');

const createMenuItemVarientTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuItemVarientTranslationService.createMenuItemVariantTranslation(payload);
    return result;
};

const deleteMenuItemVarientTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuItemVarientTranslationService.deleteMenuItemVariantTranslation(payload.id);
    return result;
};

const listMenuItemVarientTranslation = async (req, res) => {
    const result = await menuItemVarientTranslationService.listMenuItemVariantTranslation();
    return result;
};

const getMenuItemVarientTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuItemVarientTranslationService.getMenuItemVariantTranslation(payload.id);
    return result;
};

const updateMenuItemVarientTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuItemVarientTranslationService.updateMenuItemVariantTranslation(payload);
    return result;
};

const menuItemVarientTranslationController = {
    createMenuItemVarientTranslation,
    deleteMenuItemVarientTranslation,
    listMenuItemVarientTranslation,
    getMenuItemVarientTranslation,
    updateMenuItemVarientTranslation
};

module.exports = menuItemVarientTranslationController;