const menuVariantAddonService = require('../services/menuVariantAddon.service');

const createMenuVariantAddon = async (req, res) => {
    const payload = req.body;
    const result = await menuVariantAddonService.createMenuVariantAddon(payload);
    return result;
};

const deleteMenuVariantAddon = async (req, res) => {
    const payload = req.body;
    const result = await menuVariantAddonService.deleteMenuVariantAddon(payload.id);
    return result;
};

const listMenuVariantAddon = async (req, res) => {
    const result = await menuVariantAddonService.listMenuVariantAddon();
    return result;
};

const getMenuVariantAddon = async (req, res) => {
    const payload = req.body;
    const result = await menuVariantAddonService.getMenuVariantAddon(payload.id);
    return result;
};

const updateMenuVariantAddon = async (req, res) => {
    const payload = req.body;
    const result = await menuVariantAddonService.updateMenuVariantAddon(payload, payload.id);
    return result;
};

const menuVariantAddonController = {
    createMenuVariantAddon,
    deleteMenuVariantAddon,
    listMenuVariantAddon,
    getMenuVariantAddon,
    updateMenuVariantAddon
};

module.exports = menuVariantAddonController;
