module.exports = (sequelize, Types) => {
  const addon_addon_item = sequelize.define(
    'addon_addon_item',
    {
      addon_id: {
        allowNull: false,
        type: Types.INTEGER,
        references: {
          model: 'addons',
          key: 'id'
        }
      },
      addon_item_id: {
        allowNull: false,
        type: Types.INTEGER,
        references: {
          model: 'addon_items',
          key: 'id'
        }
      }
    },
    {
      underscored: true,
      paranoid: true
    }
  );

  // addon_addon_item.associate = ({ addon_item, addon }) => {
  //   addon_addon_item.belongsTo(addon_item, { foreignKey: 'addon_item_id' });
  //   addon_addon_item.belongsTo(addon, { foreignKey: 'addon_id' });
  // };
  return addon_addon_item;
};