module.exports = (sequelize, Types) => {
  const menu_item_addon = sequelize.define(
    'menu_item_addon',
    {
      addon_id: {
        allowNull: false,
        type: Types.INTEGER,
        references: {
          model: 'addons',
          key: 'id'
        }
      },
      menu_item_id: {
        allowNull: false,
        type: Types.INTEGER,
        references: {
          model: 'menu_items',
          key: 'id'
        }
      }
    },
    {
      underscored: true,
      paranoid: true
    }
  );

  return menu_item_addon;
};