const { sequelize, dataTypes } = require('sequelize-test-helpers');
const chai = require('chai');
const sinonChai = require('sinon-chai');

const expect = chai.expect;
chai.should();
chai.use(sinonChai);

const AddonTranslation = require('../../models/addon_translation');

describe('Testing Addon_Translation model', async function () {
    const Model = AddonTranslation(sequelize, dataTypes);
    const ModelInstance = await new Model()

    context('Varifying model name', function () {
        it('A table is created with the name addon_translation', function (done) {
            expect(Model.modelName).to.equal('addon_translation');
            done();
        });
    });

    context('verifying model properties of Addon_Translation', function () {
        ['id', 'title', 'locale', 'addon_id'].forEach((propertyName) => {
            it(`has field ${propertyName}`, function (done) {
                expect(ModelInstance).to.have.property(propertyName);
                done();
            });
        });
    });

    // context('associations of Addon_Translation', () => {
    //     const AssociationModel = 'addon';
  
    //     before(() => {
    //        Model.associate(AssociationModel);
    //     });
  
    //     it('has a hasMany association with Addon table', () => {
    //        expect(Model.belongsTo).to.have.been.calledWith(AssociationModel);
    //     });
    //  });
});