const addonItemService = require('../services/addonItem.service');

const createAddonItem = async (req, res) => {
    const payload = req;
    const result = await addonItemService.createAddonItem(payload);
    return result;
};

const deleteAddonItem = async (req, res) => {
    const payload = req;
    const result = await addonItemService.deleteAddonItem(payload);
    return result;
};

const listAddonItem = async (req, res) => {
    const payload = req;
    const result = await addonItemService.listAddonItem(payload);
    return result;
};

const getAddonItem = async (req, res) => {
    const payload = req;
    const result = await addonItemService.getAddonItem(payload);
    return result;
};

const updateAddonItem = async (req, res) => {
    const payload = req;
    const result = await addonItemService.updateAddonItem(payload);
    return result;
};

const addonItemController = {
    createAddonItem,
    deleteAddonItem,
    listAddonItem,
    getAddonItem,
    updateAddonItem
};

module.exports = addonItemController;