const brandService = require('../services/brand.service');

const createBrand = async (req, res) => {
    const payload = req;
    const result = await brandService.createBrand(payload);
    return result;
};

const deleteBrand = async (req, res) => {
    const payload = req;
    const result = await brandService.deleteBrand(payload);
    return result;
};

const listBrand = async (req, res) => {
    const payload = req;
    const result = await brandService.listBrand(payload);
    return result;
};

const getBrand = async (req, res) => {
    const payload = req;
    const result = await brandService.getBrand(payload);
    return result;
};

const updateBrand = async (req, res) => {
    const payload = req;
    const result = await brandService.updateBrand(payload);
    return result;
};

const brandController = {
    createBrand,
    deleteBrand,
    listBrand,
    getBrand,
    updateBrand
};

module.exports = brandController;
