const { userMessages } = require('../custom/constants')
const menu = require('../config/menu');

/**
* function to create User with the provided user details
* @param {Object} [req] - requires new user info in req.body object
*/
const userNavigation1 = async (req, res) => {
   const payload = req.body;
   const userObj = req.user
   try {
      res.json({
         success: true,
         message: userMessages.navRetrieved,
         menu: menu.nav_1,
      });

   } catch (error) {
      res.json({
         success: false,
         message: userMessages.navRetrievedFailed,
         error: error.message,
      });
   }
};

const menuControllers = {
   userNavigation1
};

module.exports = menuControllers;
