const menuItemService = require('../services/menuItem.service');

const createMenuItem = async (req, res) => {
    const payload = req;
    const result = await menuItemService.createMenuItem(payload);
    return result;
};

const deleteMenuItem = async (req, res) => {
    const payload = req;
    const result = await menuItemService.deleteMenuItem(payload);
    return result;
};

const listMenuItem = async (req, res) => {
    const payload = req;
    const result = await menuItemService.listMenuItem(payload);
    return result;
};

const getMenuItem = async (req, res) => {
    const payload = req;
    const result = await menuItemService.getMenuItem(payload);
    return result;
};

const updateMenuItem = async (req, res) => {
    const payload = req;
    const result = await menuItemService.updateMenuItem(payload);
    return result;
};

const menuItemController = {
    createMenuItem,
    deleteMenuItem,
    listMenuItem,
    getMenuItem,
    updateMenuItem
};

module.exports = menuItemController;