const menuItemVariantService = require('../services/menuItemVariant.service');

const createMenuItemVariant = async (req, res) => {
    const payload = req;
    const result = await menuItemVariantService.createMenuItemVariant(payload);
    return result;
};

const deleteMenuItemVariant = async (req, res) => {
    const payload = req;
    const result = await menuItemVariantService.deleteMenuItemVariant(payload);
    return result;
};

const listMenuItemVariant = async (req, res) => {
    const payload = req;
    const result = await menuItemVariantService.listMenuItemVariant(payload);
    return result;
};

const getMenuItemVariant = async (req, res) => {
    const payload = req;
    const result = await menuItemVariantService.getMenuItemVariant(payload);
    return result;
};

const updateMenuItemVariant = async (req, res) => {
    const payload = req;
    const result = await menuItemVariantService.updateMenuItemVariant(payload);
    return result;
};

const menuItemVariantController = {
    createMenuItemVariant,
    deleteMenuItemVariant,
    listMenuItemVariant,
    getMenuItemVariant,
    updateMenuItemVariant
};

module.exports = menuItemVariantController;
