const { Sequelize } = require("sequelize");

module.exports = (sequelize, Types) => {
  const menu_variant = sequelize.define(
    'menu_variant',
    {
      menu_item_id: {
        allowNull: false,
        type: Types.INTEGER,
        references: {
          model: 'menu_items',
          key: 'id'
        }
      },
      menu_item_variant_id: {
        allowNull: false,
        type: Types.INTEGER,
        references: {
          model: 'menu_item_variants',
          key: 'id'
        }
      }
    },
    {
      underscored: true,
      paranoid: true
    }
  );

  // menu_variant.associate = ({ menu_item, menu_item_variant }) => {
  //   menu_variant.belongsTo(menu_item, { foreignKey: 'menu_item_id' });
  //   menu_variant.belongsTo(menu_item_variant, { foreignKey: 'menu_item_variant_id' });
  // };
  return menu_variant;
};