module.exports = (sequelize, Types) => {
  const menu_variant_addon = sequelize.define(
    'menu_variant_addon',
    {
      addon_id: {
        allowNull: false,
        type: Types.INTEGER,
        references: {
          model: 'addons',
          key: 'id'
        }
      },
      menu_item_variant_id: {
        allowNull: false,
        type: Types.INTEGER,
        references: {
          model: 'menu_item_variants',
          key: 'id'
        }
      }
    },
    {
      underscored: true,
      paranoid: true
    }
  );

  // menu_variant_addon.associate = ({ addon, menu_item_variant }) => {
  //   menu_variant_addon.belongsTo(addon, { foreignKey: 'addon_id' });
  //   menu_variant_addon.belongsTo(menu_item_variant, { foreignKey: 'menu_item_variant_id' });
  // };
  return menu_variant_addon;
};