const { sequelize, dataTypes } = require('sequelize-test-helpers');
const chai = require('chai');
const sinonChai = require('sinon-chai');

const expect = chai.expect;
chai.should();
chai.use(sinonChai);

const brand = require('../../models/brand');

describe('Testing brand model', async function () {
    const Model = brand(sequelize, dataTypes);
    const ModelInstance = await new Model()

    context('Varifying model name', function () {
        it('A table is created with the name brand', function (done) {
            expect(Model.modelName).to.equal('brand');
            done();
        });
    });

    context('verifying model properties of brand', function () {
        ['id', 'categoty', 'url', 'image', 'user_id'].forEach((propertyName) => {
            it(`has field ${propertyName}`, function (done) {
                expect(ModelInstance).to.have.property(propertyName);
                done();
            });
        });
    });
});